#
# This file is generated.  Please do not send the maintainer
# patches to this file.  Please update etc/spec.sh and send a
# patch to that file, instead.
#
Summary: the Plastic File System
Name: plasticfs
Version: 1.9
Release: 1
Copyright: GPL
Group: Development/Tools
Source: http://plasticfs.sourceforge.net/plasticfs-1.9.tar.gz
URL: http://plasticfs.sourceforge.net/
BuildRoot: /tmp/plasticfs-build-root

%description
The Plastic File System is an LD_PRELOAD module for manipulating what the
file system looks like for programs.  This allows virtual file systems
to exist in user space, without kernel hacks or modules.
%prep
%setup
./configure --prefix=/usr

%build
make

%install
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}/usr/lib/libplasticfs.a
rm -f ${RPM_BUILD_ROOT}/usr/lib/libplasticfs.la

%files
/usr/lib/libplasticfs.so
/usr/lib/libplasticfs.so.0
/usr/lib/libplasticfs.so.0.0.0
/usr/man/man1/plasticfs_license.1*
/usr/man/man3/plasticfs.3*
/usr/man/manl/plasticfs_chroot.l*
/usr/man/manl/plasticfs_dos.l*
/usr/man/manl/plasticfs_downcase.l*
/usr/man/manl/plasticfs_log.l*
/usr/man/manl/plasticfs_nocase.l*
/usr/man/manl/plasticfs_shortname.l*
/usr/man/manl/plasticfs_smartlink.l*
/usr/man/manl/plasticfs_titlecase.l*
/usr/man/manl/plasticfs_upcase.l*
/usr/man/manl/plasticfs_viewpath.l*

%clean
rm -rf $RPM_BUILD_ROOT
