'\" t
.\"	plasticfs - the plastic file system
.\"	Copyright (C) 2003 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: manual entry for the plasticfs_titlecase.l command
.\"
.ds n) plasticfs_titlecase
.TH \*(n) l PlasticFS "Reference Manual"
.SH NAME
plasticfs_titlecase \- capitalized file system
.XX "plasticfs_titlecase(l)" "capitalized file system"
.SH SYNOPSIS
\f[CW]PLASTICFS="titlecase /\fP\fIdirectory\fP\f[CW]"\fP
.SH DESCRIPTION
The \fItitlecase\fP file system filter is used to make the files under
\fIdirectory\fP appear to have each word within them capitalized (first
letter upper-case and subsequent letters lower-case).
.PP
When files are searched for (\fIopen\fP(2), \fIlstat\fP(2), \fIetc\fP)
they will be searched for ignoring the case of the characters in their names.
.PP
When file are created, the case of the characters presented will be
preserved into the deeper file system, although they will appear in
capitalized when listed via the filter.
.PP
The case of filenames will be capitailized when reading directory contents
(via \fIls\fP(1), \fIreaddir\fP(3), \fIetc\fP).
.so ../man3/z_copyright.so
